package com.zm.order.tool.server.dto;

import com.alibaba.fastjson.JSON;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * @Description 订单详情DTO
 * @Author: ph
 * @Date: 2019/10/31 17:12
 */
public class OrderDetailDTO {

    /**
     * 主键
     */
    private Long orderId;

    /**
     * 业务类型
     */
    private Integer bizType;

    /**
     * 订单号
     */
    private String orderNo;

    /**
     * 订单类型
     */
    private Integer orderType;

    /**
     * 订单子类型
     */
    private Integer orderSubType;

    /**
     * 商家id
     */
    private Long sellerId;

    /**
     * 门店id
     */
    private Long storeId;

    /**
     * 店内单号
     */
    private String storeOrderNo;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 联系方式
     */
    private String mobile;

    /**
     * 地址id
     */
    private Integer addrId;

    /**
     * 订单来源
     */
    private Integer source;

    /**
     * 来源单号
     */
    private String sourceNo;

    /**
     * 来源系统
     */
    private Integer fromSystem;

    /**
     * 订单总金额
     */
    private Integer totalAmount;

    /**
     * 商品总金额
     */
    private Integer itemAmount;

    /**
     * 包装总金额
     */
    private Integer packAmount;


    /**
     * 运费总金额
     */
    private Integer freightAmount;

    /**
     * 优惠总金额
     */
    private Integer discountAmount;

    /**
     * 实付金额
     */
    private Integer actualAmount;

    /**
     * 支付金额
     */
    private Integer payAmount;

    /**
     * 找零金额
     */
    private Integer changeAmount;

    /**
     * 支付方式
     */
    private Integer payType;

    /**
     * 支付模式
     */
    private Integer payModel;

    /**
     * 付款人
     */
    private Long payer;

    /**
     * 支付单号
     */
    private String payNo;

    /**
     * 第三方支付单号
     */
    private String thirdPayNo;

    /**
     * 是否独立收款
     */
    private Integer isAlone;

    /**
     * 支付信息
     */
    private Map<String, Object> payInfoMap;

    /**
     * 发票类型
     */
    private Integer invoiceType;

    /**
     * 发票状态
     */
    private Integer invoiceStatus;

    /**
     * 履约类型
     */
    private Integer performanceType;

    /**
     * 履约平台
     */
    private String performancePlatform;

    /**
     * 是否立即履约
     */
    private Integer isImmediatePerformance;

    /**
     * 履约信息 map
     */
    private Map<String, Object> performanceInfoMap;

    /**
     * 商家备注
     */
    private String sellerRemarks;

    /**
     * 买家备注
     */
    private String buyerRemarks;

    /**
     * 是否打印
     */
    private Integer isReceipt;

    /**
     * 打印终端号
     */
    private String receiptTerminal;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 订单子状态
     * @see OrderSubStatusEnum
     */
    private Integer subStatus;

    /**
     * 支付状态
     */
    private Integer payStatus;

    /**
     * 售后状态
     */
    private Integer afterSaleStatus;

    /**
     * 履约状态
     */
    private Integer performanceStatus;


    /**
     * 接单状态
     */
    private Integer receiveStatus;

    /**
     * 下单时间
     */
    private Date orderAt;

    /**
     * 支付时间
     */
    private Date payAt;

    /**
     * 评价时间
     */
    private Date commentAt;

    /**
     * 订单完成时间
     */
    private Date completedAt;

    /**
     * 商品列表
     */
    private List<OrderItemDTO> itemList;

    /**
     * 折扣列表
     */
    private List<OrderDiscountDTO> discountList;

    /**
     * 扩展信息 map
     */
    private Map<String, Object> extraMap;

    /**
     * 三方扩展信息 map
     */
    private Map<String, Object> thirdExtraMap;

    /**
     * 评价状态
     */
    private Integer commentStatus;

    /**
     * 拒单原因
     */
    private String refusalReason;

    /**
     * 接单时间
     */
    private Date receiveAt;

    /**
     * 创建时间
     */
    private Date createdAt;

    /**
     * 更新时间
     */
    private Date updatedAt;

    /**
     * 订单地址
     */
    private OrderAddrDTO addr;

    /**
     * 业务子类型
     */
    private Integer bizSubType;

    /**
     * 支付详情列表
     */
    private List<OrderPayDetailsDTO> payDetailsList;

    /**
     * 存在退款单标记
     * 0：不存在 1：存在
     */
    private Integer refundFlag;

    /**
     * 退款完成标记
     */
    private Integer refundCompleted;

    public Integer getSubStatus() {
        return subStatus;
    }

    public void setSubStatus(Integer subStatus) {
        this.subStatus = subStatus;
    }

    public Integer getInvoiceStatus() {
        return invoiceStatus;
    }

    public void setInvoiceStatus(Integer invoiceStatus) {
        this.invoiceStatus = invoiceStatus;
    }

    public Integer getRefundCompleted() {
        return refundCompleted;
    }

    public void setRefundCompleted(Integer refundCompleted) {
        this.refundCompleted = refundCompleted;
    }

    public Integer getRefundFlag() {
        return refundFlag;
    }

    public void setRefundFlag(Integer refundFlag) {
        this.refundFlag = refundFlag;
    }

    public List<OrderPayDetailsDTO> getPayDetailsList() {
        return payDetailsList;
    }

    public void setPayDetailsList(List<OrderPayDetailsDTO> payDetailsList) {
        this.payDetailsList = payDetailsList;
    }

    public Integer getBizSubType() {
        return bizSubType;
    }

    public void setBizSubType(Integer bizSubType) {
        this.bizSubType = bizSubType;
    }

    public Long getOrderId() {
        return orderId;
    }

    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    public Integer getBizType() {
        return bizType;
    }

    public void setBizType(Integer bizType) {
        this.bizType = bizType;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public Integer getOrderType() {
        return orderType;
    }

    public void setOrderType(Integer orderType) {
        this.orderType = orderType;
    }

    public Integer getOrderSubType() {
        return orderSubType;
    }

    public void setOrderSubType(Integer orderSubType) {
        this.orderSubType = orderSubType;
    }

    public Long getSellerId() {
        return sellerId;
    }

    public void setSellerId(Long sellerId) {
        this.sellerId = sellerId;
    }

    public Long getStoreId() {
        return storeId;
    }

    public void setStoreId(Long storeId) {
        this.storeId = storeId;
    }

    public String getStoreOrderNo() {
        return storeOrderNo;
    }

    public void setStoreOrderNo(String storeOrderNo) {
        this.storeOrderNo = storeOrderNo;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public Integer getFromSystem() {
        return fromSystem;
    }

    public void setFromSystem(Integer fromSystem) {
        this.fromSystem = fromSystem;
    }

    public Integer getAddrId() {
        return addrId;
    }

    public void setAddrId(Integer addrId) {
        this.addrId = addrId;
    }

    public Integer getSource() {
        return source;
    }

    public void setSource(Integer source) {
        this.source = source;
    }

    public String getSourceNo() {
        return sourceNo;
    }

    public void setSourceNo(String sourceNo) {
        this.sourceNo = sourceNo;
    }

    public Integer getTotalAmount() {
        return totalAmount;
    }

    public void setTotalAmount(Integer totalAmount) {
        this.totalAmount = totalAmount;
    }

    public Integer getItemAmount() {
        return itemAmount;
    }

    public void setItemAmount(Integer itemAmount) {
        this.itemAmount = itemAmount;
    }

    public Integer getPackAmount() {
        return packAmount;
    }

    public void setPackAmount(Integer packAmount) {
        this.packAmount = packAmount;
    }

    public Integer getFreightAmount() {
        return freightAmount;
    }

    public void setFreightAmount(Integer freightAmount) {
        this.freightAmount = freightAmount;
    }

    public Integer getDiscountAmount() {
        return discountAmount;
    }

    public void setDiscountAmount(Integer discountAmount) {
        this.discountAmount = discountAmount;
    }

    public Integer getActualAmount() {
        return actualAmount;
    }

    public void setActualAmount(Integer actualAmount) {
        this.actualAmount = actualAmount;
    }

    public Integer getPayAmount() {
        return payAmount;
    }

    public void setPayAmount(Integer payAmount) {
        this.payAmount = payAmount;
    }

    public Integer getChangeAmount() {
        return changeAmount;
    }

    public void setChangeAmount(Integer changeAmount) {
        this.changeAmount = changeAmount;
    }

    public Integer getPayType() {
        return payType;
    }

    public void setPayType(Integer payType) {
        this.payType = payType;
    }

    public Integer getPayModel() {
        return payModel;
    }

    public void setPayModel(Integer payModel) {
        this.payModel = payModel;
    }

    public Long getPayer() {
        return payer;
    }

    public void setPayer(Long payer) {
        this.payer = payer;
    }

    public String getPayNo() {
        return payNo;
    }

    public void setPayNo(String payNo) {
        this.payNo = payNo;
    }

    public String getThirdPayNo() {
        return thirdPayNo;
    }

    public void setThirdPayNo(String thirdPayNo) {
        this.thirdPayNo = thirdPayNo;
    }

    public Integer getIsAlone() {
        return isAlone;
    }

    public void setIsAlone(Integer isAlone) {
        this.isAlone = isAlone;
    }

    public Map<String, Object> getPayInfoMap() {
        return payInfoMap;
    }

    public void setPayInfoMap(Map<String, Object> payInfoMap) {
        this.payInfoMap = payInfoMap;
    }

    public Integer getInvoiceType() {
        return invoiceType;
    }

    public void setInvoiceType(Integer invoiceType) {
        this.invoiceType = invoiceType;
    }

    public Integer getPerformanceType() {
        return performanceType;
    }

    public void setPerformanceType(Integer performanceType) {
        this.performanceType = performanceType;
    }

    public String getPerformancePlatform() {
        return performancePlatform;
    }

    public void setPerformancePlatform(String performancePlatform) {
        this.performancePlatform = performancePlatform;
    }

    public Integer getIsImmediatePerformance() {
        return isImmediatePerformance;
    }

    public void setIsImmediatePerformance(Integer isImmediatePerformance) {
        this.isImmediatePerformance = isImmediatePerformance;
    }

    public Map<String, Object> getPerformanceInfoMap() {
        return performanceInfoMap;
    }

    public void setPerformanceInfoMap(Map<String, Object> performanceInfoMap) {
        this.performanceInfoMap = performanceInfoMap;
    }

    public String getSellerRemarks() {
        return sellerRemarks;
    }

    public void setSellerRemarks(String sellerRemarks) {
        this.sellerRemarks = sellerRemarks;
    }

    public String getBuyerRemarks() {
        return buyerRemarks;
    }

    public void setBuyerRemarks(String buyerRemarks) {
        this.buyerRemarks = buyerRemarks;
    }

    public Integer getIsReceipt() {
        return isReceipt;
    }

    public void setIsReceipt(Integer isReceipt) {
        this.isReceipt = isReceipt;
    }

    public String getReceiptTerminal() {
        return receiptTerminal;
    }

    public void setReceiptTerminal(String receiptTerminal) {
        this.receiptTerminal = receiptTerminal;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getPayStatus() {
        return payStatus;
    }

    public void setPayStatus(Integer payStatus) {
        this.payStatus = payStatus;
    }

    public Integer getAfterSaleStatus() {
        return afterSaleStatus;
    }

    public void setAfterSaleStatus(Integer afterSaleStatus) {
        this.afterSaleStatus = afterSaleStatus;
    }

    public Integer getPerformanceStatus() {
        return performanceStatus;
    }

    public void setPerformanceStatus(Integer performanceStatus) {
        this.performanceStatus = performanceStatus;
    }

    public Integer getReceiveStatus() {
        return receiveStatus;
    }

    public void setReceiveStatus(Integer receiveStatus) {
        this.receiveStatus = receiveStatus;
    }

    public Date getOrderAt() {
        return orderAt;
    }

    public void setOrderAt(Date orderAt) {
        this.orderAt = orderAt;
    }

    public Date getPayAt() {
        return payAt;
    }

    public void setPayAt(Date payAt) {
        this.payAt = payAt;
    }

    public Date getCommentAt() {
        return commentAt;
    }

    public void setCommentAt(Date commentAt) {
        this.commentAt = commentAt;
    }

    public Date getCompletedAt() {
        return completedAt;
    }

    public void setCompletedAt(Date completedAt) {
        this.completedAt = completedAt;
    }

    public List<OrderItemDTO> getItemList() {
        return itemList;
    }

    public void setItemList(List<OrderItemDTO> itemList) {
        this.itemList = itemList;
    }

    public List<OrderDiscountDTO> getDiscountList() {
        return discountList;
    }

    public void setDiscountList(List<OrderDiscountDTO> discountList) {
        this.discountList = discountList;
    }

    public Map<String, Object> getExtraMap() {
        return extraMap;
    }

    public void setExtraMap(Map<String, Object> extraMap) {
        this.extraMap = extraMap;
    }

    public Integer getCommentStatus() {
        return commentStatus;
    }

    public void setCommentStatus(Integer commentStatus) {
        this.commentStatus = commentStatus;
    }

    public String getRefusalReason() {
        return refusalReason;
    }

    public void setRefusalReason(String refusalReason) {
        this.refusalReason = refusalReason;
    }

    public Date getReceiveAt() {
        return receiveAt;
    }

    public void setReceiveAt(Date receiveAt) {
        this.receiveAt = receiveAt;
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public Date getUpdatedAt() {
        return updatedAt;
    }

    public void setUpdatedAt(Date updatedAt) {
        this.updatedAt = updatedAt;
    }

    public OrderAddrDTO getAddr() {
        return addr;
    }

    public void setAddr(OrderAddrDTO addr) {
        this.addr = addr;
    }

    public Map<String, Object> getThirdExtraMap() {
        return thirdExtraMap;
    }

    public void setThirdExtraMap(Map<String, Object> thirdExtraMap) {
        this.thirdExtraMap = thirdExtraMap;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
